Bug 1546510 - kf5-purpose: dependencies on multiple interpreters
Summary: kf5-purpose: dependencies on multiple interpreters
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-purpose
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1593847 (view as bug list)
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2018-02-18 12:06 UTC by nucleo
Modified: 2018-12-25 06:30 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-17 15:40:01 UTC
Type: Bug


Attachments (Terms of Use)

Description nucleo 2018-02-18 12:06:10 UTC
Description of problem:
After last update in Rawhide additional dependencies was installed: nodejs, php-cli, ruby.

Actual results:
/usr/bin/ruby required for dolphin-17.12.2-2.fc28
/usr/bin/node required for kf5-purpose-5.43.0-1.fc28
/usr/bin/php required for kcachegrind-17.12.2-1.fc28


Expected results:
Extra deps should not be installed if they not really needed.

Comment 1 Fedora End Of Life 2018-02-20 15:32:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Kevin Kofler 2018-03-07 18:15:38 UTC
Ouch! I really don't think we want all those interpreters on the live image!

Comment 3 Rex Dieter 2018-03-07 19:03:01 UTC
purpose includes a plugins for a bunch of stuff, these are likely responsible for pulling in all the extra dependencies.

I've a TODO to work on spliting those out and/or managing the extra dependencies any other smart way.  Assistance or advice on how best to do that would be appreciated.

Comment 4 Kevin Kofler 2018-03-07 19:47:42 UTC
Uh, there are 3 different KDE packages dragging in one interpreter each.

Comment 5 Vitaly Zaitsev 2018-04-12 11:33:19 UTC
Can you split this plugins into a separate packages? I don't want to install PHP/Ruby, etc. on my desktop. This plugins must be optional.

Comment 6 Rex Dieter 2018-04-12 14:53:51 UTC
It's on our todo list, which unfortunately, is quite large.  Patches welcome.

Comment 7 Rex Dieter 2018-06-17 15:09:42 UTC
kf5-purpose.spec:

 %changelog
+* Sun Jun 17 2018 Rex Dieter <rdieter@fedoraproject.org> - 5.47.0-3
+- twitter subpkg, spilts out extra nodejs runtime dep (#1546510)

Comment 8 Rex Dieter 2018-06-17 15:19:37 UTC
Dolphin's ruby runtime dep is... tricky, I don't see any easy way of splitting that out, unless we split out *all* of the servicemenu kcm, ie,
configure dolphin->services
(The ruby dep is specifically about downloading/installing servicemenu addons from GHNS).

kcachegrind... I'm a little less concerned about... as that is more a developer tool.

Comment 9 Vitaly Zaitsev 2018-07-08 11:32:05 UTC
Please push this fix into F28 too.

Comment 10 Rex Dieter 2018-07-08 13:50:13 UTC
It will be included in the next kf5 release (coming soon, probably next week)

Comment 11 Rex Dieter 2018-07-08 15:51:24 UTC
*** Bug 1593847 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.